## EPaned

EPaned

## Functions

GtkWidget * | e_paned_new ()
gint | e_paned_get_hposition ()
void | e_paned_set_hposition ()
gint | e_paned_get_vposition ()
void | e_paned_set_vposition ()
gdouble | e_paned_get_proportion ()
void | e_paned_set_proportion ()
gboolean | e_paned_get_fixed_resize ()
void | e_paned_set_fixed_resize ()

## Properties

gboolean | fixed-resize | Read / Write
gint | hposition | Read / Write
gdouble | proportion | Read / Write
gint | vposition | Read / Write

## Types and Values

struct | EPaned

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkPaned
                        ╰── EPaned

## Implemented Interfaces

EPaned implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### e_paned_new ()

    GtkWidget *
    e_paned_new (GtkOrientation orientation);

### e_paned_get_hposition ()

    gint
    e_paned_get_hposition (EPaned *paned);

### e_paned_set_hposition ()

    void
    e_paned_set_hposition (EPaned *paned,
                           gint hposition);

### e_paned_get_vposition ()

    gint
    e_paned_get_vposition (EPaned *paned);

### e_paned_set_vposition ()

    void
    e_paned_set_vposition (EPaned *paned,
                           gint vposition);

### e_paned_get_proportion ()

    gdouble
    e_paned_get_proportion (EPaned *paned);

### e_paned_set_proportion ()

    void
    e_paned_set_proportion (EPaned *paned,
                            gdouble proportion);

### e_paned_get_fixed_resize ()

    gboolean
    e_paned_get_fixed_resize (EPaned *paned);

### e_paned_set_fixed_resize ()

    void
    e_paned_set_fixed_resize (EPaned *paned,
                              gboolean fixed_resize);

## Types and Values

### struct EPaned

    struct EPaned;

## Property Details

### The `“fixed-resize”` property

      “fixed-resize”             gboolean

Keep the 2nd pane fixed during resize.

Flags: Read / Write

Default value: TRUE

### The `“hposition”` property

      “hposition”                gint

Pane position when oriented horizontally.

Flags: Read / Write

Default value: 0

### The `“proportion”` property

      “proportion”               gdouble

Proportion of the 2nd pane size.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“vposition”` property

      “vposition”                gint

Pane position when oriented vertically.

Flags: Read / Write

Default value: 0